Skip to main content

Create Credential

POST 

/credentials/

Call auditlog tasks if applicable to query.

Request

Body

required

    name stringrequired

    Possible values: <= 255 characters

    team stringnullable

    A unique Base58 value identifying this object.

    description string

    Possible values: <= 1024 characters

    is_sensitive boolean
    value nullablerequired

    Value of credential. Returns null if sensitive.

Responses

Schema

    id stringrequired

    A unique Base58 value identifying this object.

    uri stringrequired
    name stringrequired

    Possible values: <= 255 characters

    team stringnullable

    A unique Base58 value identifying this object.

    description string

    Possible values: <= 1024 characters

    is_sensitive boolean
    value nullablerequired

    Value of credential. Returns null if sensitive.

    created_at date-timerequired
    updated_at date-timerequired

    creator

    object

    required

    id stringrequired

    A unique Base58 value identifying this object.

    email email

    Possible values: <= 254 characters

    Email of the user.

    name stringrequired

    Possible values: <= 60 characters

    Name of the user.

    usage_count integerrequired

    references

    object[]

    required

  • Array [

  • root_object_id stringrequired

    ID of the object where the Credential is used.

    root_object_type stringrequired

    Type of the object where the Credential is used (e.g. Target, Domain).

    root_object_display_name stringrequired

    Display name of the object where the Credential is used.

    ui_reference_key stringrequired

    The key to identify the field where the Credential is used.

  • ]

Loading...